zenilib: vorbis_info_psy_global Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
vorbis_info_psy_global Struct Reference

`#include <psy.h>`

## Public Attributes

float | ampmax_att_per_sec
int | coupling_pkHz [PACKETBLOBS]
int | coupling_pointlimit [2][PACKETBLOBS]
int | coupling_postpointamp [PACKETBLOBS]
int | coupling_prepointamp [PACKETBLOBS]
int | eighth_octave_lines
float | postecho_thresh [VE_BANDS]
float | preecho_minenergy
float | preecho_thresh [VE_BANDS]
int | sliding_lowpass [2][PACKETBLOBS]
float | stretch_penalty

## Detailed Description

Definition at line 66 of file psy.h.

## Member Data Documentation

float vorbis_info_psy_global::ampmax_att_per_sec

Definition at line 75 of file psy.h.

Referenced by _vp_ampmax_decay(), and vorbis_encode_global_psych_setup().

int vorbis_info_psy_global::coupling_pkHz[PACKETBLOBS]

Definition at line 78 of file psy.h.

Referenced by vorbis_encode_global_stereo(), and vorbis_encode_residue_setup().

int vorbis_info_psy_global::coupling_pointlimit[2][PACKETBLOBS]

Definition at line 79 of file psy.h.

Referenced by _vp_couple_quantize_normalize(), and vorbis_encode_global_stereo().

int vorbis_info_psy_global::coupling_postpointamp[PACKETBLOBS]

Definition at line 81 of file psy.h.

Referenced by _vp_couple_quantize_normalize(), and vorbis_encode_global_stereo().

int vorbis_info_psy_global::coupling_prepointamp[PACKETBLOBS]

Definition at line 80 of file psy.h.

Referenced by _vp_couple_quantize_normalize(), and vorbis_encode_global_stereo().

int vorbis_info_psy_global::eighth_octave_lines

Definition at line 67 of file psy.h.

Referenced by _vp_psy_init().

float vorbis_info_psy_global::postecho_thresh[VE_BANDS]

Definition at line 71 of file psy.h.

Referenced by vorbis_encode_global_psych_setup().

float vorbis_info_psy_global::preecho_minenergy

Definition at line 73 of file psy.h.

Referenced by _ve_envelope_init().

float vorbis_info_psy_global::preecho_thresh[VE_BANDS]

Definition at line 70 of file psy.h.

Referenced by _ve_amp(), and vorbis_encode_global_psych_setup().

int vorbis_info_psy_global::sliding_lowpass[2][PACKETBLOBS]

Definition at line 82 of file psy.h.

Referenced by mapping0_forward(), and vorbis_encode_global_stereo().

float vorbis_info_psy_global::stretch_penalty

Definition at line 72 of file psy.h.

Referenced by _ve_amp().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/libvorbis/lib/psy.h